%Wczytanie danych z pliku - macierz n x 4.
data = load("data.log");
%Obliczenie modułu dla każdej próbki - macierz n x 1.
%Zapis data(:, 2) oznacza wszystkie wiersze, druga kolumna.
%Zapis .^2 oznacza podniesienie każdego elementu macierzy do potęgi drugiej.
%Funkcja sqrt oblicza pierwiastek kwadratowy dla każdego elementu.
dataMag = sqrt(data(:, 2).^2 + data(:, 3).^2 + data(:, 4).^2);
%Wyświetlanie danych - pierwsza kolumna data jako współrzędna x, dataMag jako współrzędna y.
plot(data(:, 1)/10^9, dataMag);
%Opis wykresu.
title("Dane z akcelerometru");
xlabel("czas [s]");
ylabel("|a| [m/s^2]");
